::d2x-beta.bat should be saved here in order for ModMii v4.6.0+ to use it: Support\More-cIOSs\{ANY FOLDER NAME}\d2x-beta.bat

::--------update what comes after "d2x-beta-rev=" and "ciosversion=" below----------
::"magicword2" should be contained in this file for modmii to not check for updates or enable legacy cIOS build mode (effective v7.0.3+)
set ciosversion=65535
::must be <=65535
::if ciosversion above is different from version in ciosmaps.xml, then ModMii v6.5.2 or higher required to build it successfully

set d2x-beta-rev=10-b52-Stealth-RC24
::This info is used to sign *00.app file for cIOS detection, everything after "=" but before the next "-" is considered the version # and it must be a number! Good examples are "5-beta1-test1" or "5" or "999". Bad examples are "5beta1" or "five-beta1" or "-5-beta1"
::everything after the first "-" is considered the version string (limited by 16 chars) and it only recognizes letters, numbers and + - _ ( ) [ ] but do not use underscores, breaks some ModMii advanced download conversion stuff
::5 chars of version string is used up if ciosmaps_vWii.xml exists to append "-vWii" to tag, so version string limit is actually 11 chars if vWii is supported


set cIOSFamilyName=d2x
::Only change this if building a cIOS that isn't a "d2x" branded cIOS. This string is limited by 16 chars and it only recognizes letters, numbers and + - _ ( ) [ ]


if "%wadname%"=="" goto:endofd2xbat

::------------------------Section to update (below)--------------------
::here you should enter the new beta cIOS hashes (under the OLD non-beta "wadname")
::d2x-beta-md5-updater.bat can be used to help update hashes
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5=d568c480cca7e07d74e12cd61c15b6b0
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5=31c326ce51d50a67944bea4bb56bfd75
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5=d1194df817d0b504b2e6f773aabc5033
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5=2964d57ee03f4dac87f8ba3c27e25cbc
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5=d9cdf7ccf7b378324d75511fa7676318
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5=e2a2db00d9bcf410ea85725134c60548
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5=1d3913ee48f447188219781b125939e8
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5=2e6fb81515cfc3e00e85837401833d8c
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5=85e853ee49bbbf6b17ebf163e0248118
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5=56f3402cdea7443c545a7eb094847328
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5=3d3d9553132724bf595e732959589e0e
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5=15db45d800ec9486a652de9ca382d0ae
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5=3c7cfef05f93941294b74ab027ba4f00
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5=1140a53d63846104214eac43f0da084a
if /i "%wadname:~0,17%" EQU "cIOS249[60]-d2x-v" set md5=1cd9b0d04d66ba87587b6cee770c9ec2
if /i "%wadname:~0,17%" EQU "cIOS250[60]-d2x-v" set md5=f04790880da330ecdfdd990266f2cc9c
if /i "%wadname:~0,17%" EQU "cIOS249[70]-d2x-v" set md5=3dfacf2ed350d26da6ac3ee10f1f8b3f
if /i "%wadname:~0,17%" EQU "cIOS250[70]-d2x-v" set md5=5aee22460be127ee5a003237724052e2
if /i "%wadname:~0,17%" EQU "cIOS249[80]-d2x-v" set md5=178f72305d09348ff1d4f167cde55a24
if /i "%wadname:~0,17%" EQU "cIOS250[80]-d2x-v" set md5=07f2ee62ae278f29da9fa085d3011d24
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5=a2f86073e7bbbfb6005fc12028eeec00
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5=9c9a11623fdb10da2e6811ebe31c2bb3
::two sets of md5s for legacy wad(mii) packer support
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5alt=7c42c84bb7cf63288307d589f207b9ad
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5alt=d85ef6f0b332ef0cf585d81f388b38e1
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5alt=c731bb159828681c0bcef9dbbab78253
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5alt=3ca3f8ac708f4ee2480a4b665dffd1fa
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5alt=1e8377e425a044fb0c265b67891dadf9
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5alt=096868329322bc5f5969b7fe3ccc4f79
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5alt=5472bea95a37cdb46ddbff249b24ab3c
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5alt=6fbfed6fb8c6f081d95e9d4fa65008f4
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5alt=f6dd502882e555c957df0ee0a66bc5f8
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5alt=5dbb428a0d7978a6d59d7fa7656415f5
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5alt=c2ddad312ddd7dc76e6156664cf63065
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5alt=ccdc5ff146317646885562a074478007
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5alt=2698c7684b9f905c367c1c0c4fadaeef
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5alt=50310e18627398feba44368635d7a64f
if /i "%wadname:~0,17%" EQU "cIOS249[60]-d2x-v" set md5alt=1cb17ea08079fa83476090a86889b31b
if /i "%wadname:~0,17%" EQU "cIOS250[60]-d2x-v" set md5alt=9cc82a65648ee8a27889c141a824b83f
if /i "%wadname:~0,17%" EQU "cIOS249[70]-d2x-v" set md5alt=b280bfcbea8a50a2a7e184a59cdbe0e6
if /i "%wadname:~0,17%" EQU "cIOS250[70]-d2x-v" set md5alt=32c36ab42c1be1c51576e84168663ef6
if /i "%wadname:~0,17%" EQU "cIOS249[80]-d2x-v" set md5alt=91d98c7d760abd94f5d8f3f3443285d5
if /i "%wadname:~0,17%" EQU "cIOS250[80]-d2x-v" set md5alt=e575b977cfa503f3b6ca8a86f296e21a
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5alt=16c353d3939dff84ece538925d72f612
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5alt=ff57c4f1609ec4ac2dac923e66d5c071

::cIOS251[38] is only an option in ModMii v6.6.0-6.6.3, so if not updated it won't be an issue for most people (this is the same as 249[38] with its slot changed to 251 by patchios.exe
if /i "%wadname:~0,17%" EQU "cIOS251[38]-d2x-v" set md5=d014a92ec1c6b06783b627f514a71663
if /i "%wadname:~0,17%" EQU "cIOS251[38]-d2x-v" set md5alt=%md5%
::------------------------Section to update (above)--------------------

::----------Additional Instructions---------------
::save any of the following beta files to the following directory
::if any of the following is not found, the standard d2x module used in the previous ModMii release will continue to be used
::Support\More-cIOSs\{ANY FOLDER NAME}\mload.app
::Support\More-cIOSs\{ANY FOLDER NAME}\FAT.app
::Support\More-cIOSs\{ANY FOLDER NAME}\SDHC.app
::Support\More-cIOSs\{ANY FOLDER NAME}\EHCI.app
::Support\More-cIOSs\{ANY FOLDER NAME}\USBS.app
::Support\More-cIOSs\{ANY FOLDER NAME}\DIPP.app
::Support\More-cIOSs\{ANY FOLDER NAME}\ES.app
::Support\More-cIOSs\{ANY FOLDER NAME}\FFSP.app
::------------------------------------------------------

::set md5alt=%md5%

::change some variables
set wadname=%wadname:~0,17%%d2x-beta-rev%
if /i "%name:~0,17%" NEQ "Advanced Download" set name=%wadname%

:endofd2xbat 

